Categories
5 API calls in this section.
Create Category
/restaurant/locations/:locationId/categories1curl --request POST "$ONDI_BASE_URL/restaurant/locations/:locationId/categories" \2 --header "Authorization: Bearer {{access_token}}" \3 --header "Content-Type: application/json" \4 --data '{5 "parent_id": null,6 "name": {7 "en": "Burgers"8 },9 "description": {},10 "is_active": true,11 "sort_order": 0,12 "category_image": "https://example.com/cat.jpg"13}'1{2 "parent_id": null,3 "name": {4 "en": "Burgers"5 },6 "description": {},7 "is_active": true,8 "sort_order": 0,9 "category_image": "https://example.com/cat.jpg"10}Path parameters
locationIdRequiredRequest body fields
parent_idExampleExample field from the request body.
nameExampleExample field from the request body.
name.enExampleExample field from the request body.
descriptionExampleExample field from the request body.
is_activeExampleExample field from the request body.
sort_orderExampleExample field from the request body.
category_imageExampleExample field from the request body.
Headers
AuthorizationOptionalBearer {{access_token}}
Responses
No response example is available for this endpoint yet.
Update Category
/restaurant/categories/:id1curl --request PUT "$ONDI_BASE_URL/restaurant/categories/:id" \2 --header "Authorization: Bearer {{access_token}}" \3 --header "Content-Type: application/json" \4 --data '{5 "parent_id": null,6 "name": {7 "en": "Burgers & Sandwiches"8 },9 "description": {},10 "is_active": true,11 "sort_order": 10,12 "category_image": "https://example.com/cat-new.jpg"13}'1{2 "parent_id": null,3 "name": {4 "en": "Burgers & Sandwiches"5 },6 "description": {},7 "is_active": true,8 "sort_order": 10,9 "category_image": "https://example.com/cat-new.jpg"10}Path parameters
idRequiredRequest body fields
parent_idExampleExample field from the request body.
nameExampleExample field from the request body.
name.enExampleExample field from the request body.
descriptionExampleExample field from the request body.
is_activeExampleExample field from the request body.
sort_orderExampleExample field from the request body.
category_imageExampleExample field from the request body.
Headers
AuthorizationOptionalBearer {{access_token}}
Responses
No response example is available for this endpoint yet.
List Categories (with filters)
/restaurant/locations/:locationId/categories?root_category=true&parent_id={{parent_id}}&is_active={{is_active}}&search={{search}}&includeAvailableCounts=true&page=1&limit=101curl --request GET "$ONDI_BASE_URL/restaurant/locations/:locationId/categories?root_category=true&parent_id={{parent_id}}&is_active={{is_active}}&search={{search}}&includeAvailableCounts=true&page=1&limit=10" \2 --header "Authorization: Bearer {{access_token}}"Path parameters
locationIdRequiredQuery parameters
root_categoryOptionaltrue
Set 'true' to fetch only root categories (ignores parent_id if true).
parent_idOptional{{parent_id}}
Use 'null' (string) to filter root categories (ignored if root_category=true)
is_activeOptional{{is_active}}
searchOptional{{search}}
includeAvailableCountsOptionaltrue
Include count of currently available products per category (uses availability view)
pageOptional1
limitOptional10
Headers
AuthorizationOptionalBearer {{access_token}}
Responses
No response example is available for this endpoint yet.
Get Category (with count)
/restaurant/categories/:id?active_only=true1curl --request GET "$ONDI_BASE_URL/restaurant/categories/:id?active_only=true" \2 --header "Authorization: Bearer {{access_token}}"Path parameters
idRequiredQuery parameters
active_onlyOptionaltrue
Headers
AuthorizationOptionalBearer {{access_token}}
Responses
No response example is available for this endpoint yet.
Delete Category
/restaurant/categories/:id1curl --request DELETE "$ONDI_BASE_URL/restaurant/categories/:id" \2 --header "Authorization: Bearer {{access_token}}"Path parameters
idRequiredHeaders
AuthorizationOptionalBearer {{access_token}}
Responses
No response example is available for this endpoint yet.